Skip to content
Permalink
Browse files
Fixed broken links related to remaining references to .mdtext files
  • Loading branch information
elecharny committed Dec 27, 2020
1 parent a7bae5c commit 9e0ed0d07d9c5799639675ce697147d7447a5fce
Showing 7 changed files with 17 additions and 17 deletions.
@@ -23,7 +23,7 @@ The below initial conditions must be met before configuring the replication in a
* Add the configuration of the partition whose data needs to be replicated.
For example if we like to replicate the partition dc=apache,dc=org then
make sure to configure this partition in all the servers that are configured to replicate.
See [Adding Partition](../basic-ug/1.4.3-adding-partition.mdtext)
See [Adding Partition](../basic-ug/1.4.3-adding-partition.md)


## Configuring Producer-Consumer replication
@@ -35,7 +35,7 @@ In order to illustrate this, the "Seven Seas" example partition contains such gr
uniquemember: cn=John Fryer,ou=people,o=sevenSeas
...

In such a scenario, a user, who is directly or indirectly member of a certain group is permitted to do something. The software component acts as a normal LDAP client and determines group belonging with the help of ordinary search operations. This is widely used but has nothing to do with the authorization for directory operations as described in this section (except that the client needs the permission to search the data). Learn more about best practices in this area in the article [Practices in Directory Groups](http://middleware.internet2.edu/dir/groups/docs/internet2-mace-dir-groups-best-practices-200210.htm). Further examples in this guide are the Tomcat and Apache HTTPD integration sections.
In such a scenario, a user, who is directly or indirectly member of a certain group is permitted to do something. The software component acts as a normal LDAP client and determines group belonging with the help of ordinary search operations. This is widely used but has nothing to do with the authorization for directory operations as described in this section (except that the client needs the permission to search the data). Learn more about best practices in this area in the article [Practices in Directory Groups](http://www.nmi-edit.org/CAMP/EDIT_IdM/docs/internet2-mace-dir-groups-best-practices-200210.htm). Further examples in this guide are the Tomcat and Apache HTTPD integration sections.

## Default authorization behavior for directory operations

@@ -531,10 +531,10 @@ You can now update the site, add a news on the front page, and publish the site.
There are a few places to modify :
* /config.toml : update the $version_apacheds variable with the new version.
* /config.toml : update the version_apacheds variable with the new version.
* /source/_index.md : same here, update the <!-- ApacheDS project --> section, which contains the version.
* /source/apacheds/news.md : add the news on top of this page
* /source/apacheds/download-old-versions.mdtext : add a new line on top of the array, which refers to the latest version before the new one
* /source/apacheds/download-old-versions.md : add a new line on top of the array, which refers to the latest version before the new one
Commit the changes, and publish the web site, you are done !
@@ -478,10 +478,10 @@ You can now update the site, add a news on the front page, and publish the site.

There are a few places to modify :

* /lib/path.pm : update the $version_api variable with the new version.
* /content/index.mdtext : same here, update the <!-- LDAP API project --> section, which contains the version.
* /content/api/news.mdtext : add the news on top of this page
* /content/api/download-old-versions.mdtext : add a new line on top of the array, which refers to the latest version before the new one
* /config.toml : update the version_api variable with the new version.
* /source/_index.md : same here, update the <!-- LDAP API project --> section, which contains the version.
* /source/api/news.md : add the news on top of this page
* /source/api/download-old-versions.md : add a new line on top of the array, which refers to the latest version before the new one

Commit the changes, and publish the web site, you are done !

@@ -549,10 +549,10 @@ Update the links to new distributions in [Downloads] page.

There are a few places to modify :

* /lib/path.pm : update the $version_fortress variable with the new version.
* /content/index.mdtext : same here, update the <!-- FORTRESS project --> section, which contains the version.
* /content/fortress/news.mdtext : add the news on top of thise page
* /content/fortress/download-old-versions.mdtext : add a new line on top of the array, which refers to the latest version before the new one
* /config.toml: update the version_fortress variable with the new version.
* /source/_index.md : same here, update the <!-- FORTRESS project --> section, which contains the version.
* /source/fortress/news.md : add the news on top of thise page
* /source/fortress/download-old-versions.md : add a new line on top of the array, which refers to the latest version before the new one

Commit the changes, and publish the web site, you are done !

@@ -396,10 +396,10 @@ Save and commit the file.
You can now update the site, add a news on the front page, and publish the site.

There are a few places to modify :
- /lib/path.pm : update the $version_mavibot variable with the new version.
- /content/index.mdtext : same here, update the <!-- MAVIBOT project --> section, which contains the version.
- /content/mavibot/news.mdtext : add the news on top of thise page
- /content/mavibot/download-old-versions.mdtext : add a new line on top of the array, which refers to the latest version before the new one
- /config.toml : update the version_mavibot variable with the new version.
- /source/_index.md : same here, update the <!-- MAVIBOT project --> section, which contains the version.
- /source/mavibot/news.md : add the news on top of thise page
- /source/mavibot/download-old-versions.md : add a new line on top of the array, which refers to the latest version before the new one

Commit the changes, and publish the web site, you are done !

@@ -22,7 +22,7 @@ and various utility plugins.

## Prerequisites

You can check about what is needed to be able to start coding on [the Developers' guide](../devezlopers-guide.mdtext).
You can check about what is needed to be able to start coding on [the Developers' guide](../developers-guide.html).

In any case, you need a Java JDK 7, Eclipse Luna-SR2, Maven 3.2.5, subversion 1.8.8.

0 comments on commit 9e0ed0d

Please sign in to comment.